#
# spec file for package kvocabs (Version 0.3.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kvocabs
BuildRequires:  libdrm-devel libjpeg-devel qt3-devel update-desktop-files autoconf automake
Version:        0.3.4
Release:        lp150.219.2
License:        GPL v2 or later
Url:            http://kvocabs.homac.de
Group:          System/GUI/Other
Source:         %{name}-%{version}.tar.bz2
Patch0:         unbreak.diff
Summary:        Vocabulary Trainer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KVocabs is a plain Qt application for learning vocabulary. Add a
personal vocabulary in different archives. After adding the
vocabularies, it is possible to learn them in a random order.
Individual statistics are provided for each quiz session. The stored
vocabularies are removable and editable.



Authors:
--------
    Holger Macht <holger@homac.de>

%prep
%setup
%patch0

%build
autoreconf -fi
./configure CXXFLAGS="$RPM_OPT_FLAGS" --with-qtdir=/usr/lib/qt3 --prefix=/usr --libdir=%_libdir
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean

%files
%defattr(-,root,root)
/usr/bin/kvocabs
/usr/share/locale/de/LC_MESSAGES/kvocabs.de.qm

%changelog
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Sat Oct 13 2007 coolo@suse.de
- fix build (likely drop candidate)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 20 2005 dmueller@suse.de
- fix build
* Sat Jul 23 2005 hmacht@suse.de
- initial checkin
